summaryrefslogtreecommitdiffstats
path: root/jjb/include-docker-blessing.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/include-docker-blessing.sh')
-rwxr-xr-xjjb/include-docker-blessing.sh18
1 files changed, 12 insertions, 6 deletions
diff --git a/jjb/include-docker-blessing.sh b/jjb/include-docker-blessing.sh
index 3cb67cf95..a2b7c8f0d 100755
--- a/jjb/include-docker-blessing.sh
+++ b/jjb/include-docker-blessing.sh
@@ -1,14 +1,20 @@
#!/bin/bash
-if [ -z "$VERSION" ];
+if [ -z "$X" ];
then
- echo "Error: no version provided"
+ echo "Error: no X version provided"
exit 1
fi
-if [ -z "$TIMESTAMP" ];
+if [ -z "$Y" ];
then
- echo "Error: no timestamp provided"
+ echo "Error: no Y version provided"
+ exit 1
+fi
+
+if [ -z "$Z" ];
+then
+ echo "Error: no Z version provided"
exit 1
fi
@@ -20,8 +26,8 @@ fi
RELEASE_REPOSITORY="nexus3.openecomp.org:10002"
SNAPSHOT_REPOSITORY="nexus3.openecomp.org:10003"
-STAGING_IMAGE="openecomp/$PROJECT:$VERSION-STAGING-$TIMESTAMP"
-RELEASE_IMAGE="openecomp/$PROJECT:$VERSION"
+STAGING_IMAGE="openecomp/$PROJECT:$X.$Y-STAGING-latest"
+RELEASE_IMAGE="openecomp/$PROJECT:$X.$Y.$Z"
docker pull "$SNAPSHOT_REPOSITORY/$STAGING_IMAGE"
docker tag "$SNAPSHOT_REPOSITORY/$STAGING_IMAGE" "$RELEASE_REPOSITORY/$RELEASE_IMAGE"